Subject: [PATCH 1/2] ARM: Add Kconfig option to use mkimage -T kernel_noload

From: [email-masked] (Andre Renaud)
Date: Thu, 01 Mar 2012 11:28:33 +1300

On 01/03/12 10:27, Stephen Warren wrote:
> Russell King wrote at Wednesday, February 29, 2012 1:45 PM:
> ...
>> So, really, comparing a standard uImage produced by the standard kernel
>> with gzipped Image is far from a fair comparison.  And that's actually
>> another argument for getting rid of the uImage target... it may make
>> people think a bit about what they're doing rather than accepting
>> whatever default location someone else chose for their kernel.
> 
> That seems like more of an argument for making the uImage target use
> -T kernel_noload unconditionally, rather than removing the target.
> Since doing so would solve the issue about the kernel picking a load
> address.
> 
> That is, ignoring any arguments about breaking existing workflows at
> least...

I think this is the case that I was seeing - the current behaviour of
the uImage target, of using the zreladdr as the load/start addresses
essentially guarantees the worst case relocation behaviour.

Regards,
Andre